Loading...
Searching...
No Matches
BALL::VIEW::RaytraceableContourSurfaceDialog Class Reference

`#include <BALL/VIEW/DIALOGS/raytraceableContourSurfaceDialog.h>`

Inheritance diagram for BALL::VIEW::RaytraceableContourSurfaceDialog:

## Public Slots

void | add ()
void | accept ()
void | reject ()
void | changedSliderThreshold (int a)
void | changedEditThreshold ()
void | changedRangeMin ()
void | changedRangeMax ()
void | changedRangeSteps ()

## Public Member Functions

| RaytraceableContourSurfaceDialog (RaytraceableGrid *grid, QWidget *parent=0, const char *name="RaytraceableContourSurfaceDialog", bool modal=false, Qt::WindowFlags fl=0)
| ~RaytraceableContourSurfaceDialog ()
void | setGrid (RaytraceableGrid *grid)
RaytraceableGrid * | getGrid ()
Public Member Functions inherited from BALL::VIEW::ModularWidget
| ModularWidget (const char *name="<ModularWidget>")
| ModularWidget (const ModularWidget &widget)
virtual | ~ModularWidget ()
virtual void | destroy ()
virtual void | clear ()
virtual void | checkMenu (MainControl &main_control)
QAction * | insertMenuEntry (Position parent_id, const QString &name, const QObject *receiver=0, const char *slot=0, const String &description="", QKeySequence accel=QKeySequence(), const QString &menu_hint=QString(""), UIOperationMode::OperationMode minimal_mode=UIOperationMode::MODE_ALL)
BALL_DEPRECATED void | setMenuHelp (QAction *, const String &)
virtual BALL_DEPRECATED void | registerForHelpSystem (const QObject *, const String &)
virtual void | addToolBarEntries (QToolBar *main_tb)
void | setIcon (QAction *action, const String &filename, bool add_to_main_toolbar=true)
virtual void | initializePreferencesTab (Preferences &preferences)
virtual void | finalizePreferencesTab (Preferences &preferences)
virtual void | applyPreferences ()
virtual void | fetchPreferences (INIFile &inifile)
virtual void | writePreferences (INIFile &inifile)
bool | lockComposites ()
bool | unlockComposites ()
| Unlock the Composites.
MainControl * | getMainControl () const
virtual void | setStatusbarText (const String &text, bool important=false)
virtual void | setStatusbarText (const QString &text, bool important=false)
String | getWorkingDir ()
| Implemented for convenience.
void | setWorkingDir (const String &dir)
| Implemented for convenience.
FragmentDB & | getFragmentDB () const
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
void | setWorkingDirFromFilename_ (String filename)
virtual BALL_DEPRECATED void | showHelp (const String &)
virtual void | initializeWidget (MainControl &main_control)
virtual void | finalizeWidget (MainControl &main_control)
virtual bool | canHandle (const String &) const
virtual bool | openFile (const String &)
Public Member Functions inherited from BALL::Embeddable
| Embeddable (const String &identifier="<Embeddable>")
| Embeddable (const Embeddable &embeddable)
virtual | ~Embeddable ()
void | setIdentifier (const String &identifier)
const String & | getIdentifier () const
void | unregisterThis ()
virtual void | registerThis ()
Public Member Functions inherited from BALL::VIEW::ConnectionObject
| ConnectionObject ()
virtual | ~ConnectionObject ()
void | registerConnectionObject (ConnectionObject &object)
void | unregisterConnectionObject (ConnectionObject &object)
bool | isConnectionObjectRegistered (const ConnectionObject &object)
ConnectionObject * | getParent () const
ConnectionObject * | getRoot ()
virtual void | onNotify (Message *message)
virtual bool | isValid () const

## Protected Slots

void | setDefaultRangeValues_ ()

## Protected Member Functions

void | addModel_ (float threshold)
void | notify_ (Message *message)
void | notify_ (Message &message)
void | onNotify_ (Message *message)

## Additional Inherited Members

Public Types inherited from BALL::Embeddable
typedef std::vector< Embeddable * > | EmbeddableVector
static void | registerWidget (ModularWidget *mwidget)
static void | registerInstance_ (const std::type_info &type, const Embeddable *instance)
static void | unregisterInstance_ (const Embeddable *instance)
static Size | countInstances_ (const std::type_info &type)
static Embeddable * | getInstance_ (const std::type_info &type, Position index)
static Embeddable * | getInstance_ (const std::type_info &type, const String &identifier)
QAction * | window_menu_entry_
bool | show_window_enty_
bool | default_visible_
QList< QAction * > | main_toolbar_actions_

## Detailed Description

Dialog for selecting contour urface thresholds for the raytracing mode of scene. \ingroups ViewDialogs

Definition at line 35 of file raytraceableContourSurfaceDialog.h.

## Constructor & Destructor Documentation

## RaytraceableContourSurfaceDialog()

BALL::VIEW::RaytraceableContourSurfaceDialog::RaytraceableContourSurfaceDialog | ( | RaytraceableGrid * | grid,
|  | QWidget * | parent = 0,
|  | const char * | name = "RaytraceableContourSurfaceDialog",
|  | bool | modal = false,
|  | Qt::WindowFlags | fl = 0 )

## ~RaytraceableContourSurfaceDialog()

BALL::VIEW::RaytraceableContourSurfaceDialog::~RaytraceableContourSurfaceDialog | ( |  | ) |

## Member Function Documentation

## accept

void BALL::VIEW::RaytraceableContourSurfaceDialog::accept | ( |  | ) |

slot

## add

void BALL::VIEW::RaytraceableContourSurfaceDialog::add | ( |  | ) |

slot

## addModel_()

void BALL::VIEW::RaytraceableContourSurfaceDialog::addModel_ | ( | float | threshold | ) |

protected

## changedEditThreshold

void BALL::VIEW::RaytraceableContourSurfaceDialog::changedEditThreshold | ( |  | ) |

slot

## changedRangeMax

void BALL::VIEW::RaytraceableContourSurfaceDialog::changedRangeMax | ( |  | ) |

slot

## changedRangeMin

void BALL::VIEW::RaytraceableContourSurfaceDialog::changedRangeMin | ( |  | ) |

slot

## changedRangeSteps

void BALL::VIEW::RaytraceableContourSurfaceDialog::changedRangeSteps | ( |  | ) |

slot

## changedSliderThreshold

void BALL::VIEW::RaytraceableContourSurfaceDialog::changedSliderThreshold | ( | int | a | ) |

slot

## getGrid()

RaytraceableGrid * BALL::VIEW::RaytraceableContourSurfaceDialog::getGrid | ( |  | ) |

inline

Definition at line 54 of file raytraceableContourSurfaceDialog.h.

## reject

void BALL::VIEW::RaytraceableContourSurfaceDialog::reject | ( |  | ) |

slot

## setDefaultRangeValues_

void BALL::VIEW::RaytraceableContourSurfaceDialog::setDefaultRangeValues_ | ( |  | ) |

protected slot

## setGrid()

void BALL::VIEW::RaytraceableContourSurfaceDialog::setGrid | ( | RaytraceableGrid * | grid | ) |

inline

Definition at line 53 of file raytraceableContourSurfaceDialog.h.